# Class CIM_StatisticalSetting
extends CIM_SettingData

CIM_StatisticalSetting is the class for setting the collection criteria of statistical data and/or metrics applicable to one or more ManagedElements.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_StatisticalSetting

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_StatisticalSetting is the class for setting the collection criteria of statistical data and/or metrics applicable to one or more ManagedElements.
UMLPackagePath | string | CIM::Core::Statistics
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EndStatisticTime | datetime |
Description | string | The time, relative to managed element where the statistic is to be collected, when the measurement is to end.
Write | boolean | true
SampleInterval | datetime |
Description | string | Some statistics are sampled at consistent time intervals. This property when set indicates the desired minimum time that new statistics should be polled or calculated.
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
Write | boolean | true
StartStatisticTime | datetime |
Description | string | The time, relative to managed element where the statistic is to be collected, when the first measurement is to be taken.
ModelCorrespondence | string | CIM_StatisticalData.StartStatisticTime
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods